when:
  - event: push
    branch: main

depends_on:
  - test
  - playwright

steps:
  - name: build-docker-image
    image: woodpeckerci/plugin-docker-buildx:5.2.1
    settings:
      repo: git.keks.cloud/${CI_REPO_OWNER}/miniauth
      dockerfile: Dockerfile
      platforms: linux/amd64,linux/arm64,linux/arm64/v8
      tag: latest
      registry: git.keks.cloud
      username: ${CI_REPO_OWNER}
      password:
        from_secret: docker_password
